import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'integralProduct'
})
export class IntegralProductPipe implements PipeTransform {

    array = {
        1: ['卡券产品'],
        2: ['在线加油' ],
        3: ['电信' , '移动' , '联通'],
        4: ['星巴克' , '肯德基' , '会员充值']
    };

    transform(type: number , product: number): string {
        return this.array[type][product - 1];
    }

}
